      program serbc
      h=1.
      r=1.
      g=9.8
      pi=4*atan(1.)
      s=0.01
      dt=0.01
      t=0.
      y=h
      print *, t,y
      do while (y.gt.0.) 
      dy = s*sqrt(2*g*y)*dt/r**2/pi
      y = y-dy
      t=t+dt
      print *, t,y
      end do
      end


